%define  patch_name kernel-feat-ctx
%define  kernel_version 2.4.22
%define  feat_release 1

Name: %patch_name
Version: 1.2.2
Release: alt1
URL: http://www.13thfloor.at/vserver/s_release/v1.00/patch-2.4.22-vs1.22.diff
Summary: %patch_name kernel patch - context process system for vserver
License: GPL
Group: Development/Other
Source0: patch-%kernel_version-vs1.22.diff

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux-VServer allows you to create virtual private servers and security
contexts which operate like a normal Linux server, but allow many independent
servers to be run simultaneously in one box at full speed. All services,
such as ssh, mail, Web, and databases, can be started on such a VPS, without
modification, just like on any real server. Each virtual server has its own
user account database and root password and doesn't interfere with other
virtual servers.

%install

%install_patches

%__install -p -m 644 %SOURCE0 %patches_dir/%patch_name

%files
%_usrsrc/*


%changelog
* Mon Dec 15 2003 Alexander V. Denisov <rupor@altlinux.ru> 1.2.2-alt1
- fixed locking issue tasklist_lock/uts_sem (kudos go to Jonathan Sambrook)

* Mon Dec 08 2003 Alexander V. Denisov <rupor@altlinux.ru> 1.20-alt1
- update to ctx patch version 1.20
- removed the uptime fakes
- tiny feature enhance for kill_ctx()
- critical bugfix in tcp6_get_info()
- critical bugfix SMP deadlock, dyn.
- bugfix dyn. wraparound lockup
- changed vmalloc to kmalloc
- added send signal to context
- critical bugfix in tcp_get_info()
- bugfix in vroot device
- hopefully final codebase cleanup
- small bugfix in switch_user_struct()
- removed duplicate MAX_S_CONTEXT
- included reboot userspace helper
- reduced context includes
- parisc support
- fixed compat quota capability
- fixed vserver syscall name
- added missing include for route.h
- context code separation
- limit/kill syscall templates
- dynamic id range moved to 49152-
- ppc64 support
- syscall switch
- x86_64 support
        
* Wed Nov 05 2003 Alexander V. Denisov <rupor@altlinux.ru> 1.00-alt1
- Initial release
